Subject: (urth) Inhumi's secret and numbers on Blue (was Re: (no subject))

From: nate jarvis <natejarv at gmail.com>
Date: Mon, 26 Nov 2012 18:19:47 +0000

Those humans who prey on other humans generally rely on stealth and deception.
</Lee>

The warlords the Rajan encounters following his return to Blue prey on
other humans, without necessarily relying on stealth and deception.
Horn's experiences on Blue might lead us to think of the inhumi as
sneaky ninjas or stealthy pickpockets, but Auk's experiences with them
on Green might lead to a different interpretation.

Of course characters in BotSS travel to the Whorl (Horn's walk in) and
even as far as Nessus (inhuma included) without spacecraft. They don't
take their bodies, though, and I thought the inhumi claimed to fly
between Green and Blue, when the time was right, in a very literal
sense--like Dr Doolittle's moth flying to the moon.

Are there so few inhumi on Blue that we should be looking for an
explanation as to why there are so few inhumi on Blue?

Nate.